| GL Studio C++ Runtime API

Public Member Functions | List of all members
DistiAttributeImageCodecEnum Class Reference

`#include <texture_palette.h>`

Inheritance diagram for DistiAttributeImageCodecEnum:

## Public Member Functions
| DistiAttributeImageCodecEnum (CallbackMethodCallerBase *callback, const AttributeName &name, glsImageCodec *attribPtr)
std::string | Type () const override
Public Member Functions inherited from DistiAttributeEnumDirect< glsImageCodec >
| DistiAttributeEnumDirect (CallbackMethodCallerBase *callback, const AttributeName &name, glsImageCodec *attribPtr, DistiAttributeEnumDefList *pairList)
| DistiAttributeEnumDirect (CallbackMethodCallerBase *callback, const AttributeName &name, const glsImageCodec &value, DistiAttributeEnumDefList *pairList)
virtual long | ValueInt () override
virtual void | ValueInt (long val) override
virtual DistiAttributeBase & | operator= (const DistiAttributeBase &oldClass) override
virtual std::ostream & | WriteValue (std::ostream &outstr) override
virtual std::istream & | ReadValue (std::istream &instr) override
std::string | Type () const override
Public Member Functions inherited from DistiAttributeBase
| DistiAttributeBase (CallbackMethodCallerBase *callback, const AttributeName &name, bool localStorage)
virtual DistiAttributeBase & | operator= (const DistiAttributeBase &oldClass)
const AttributeName & | Name () const
AttributeName & | Name ()
bool | LocalStorage () const
virtual bool | Copyable () const
virtual bool | OkToWrite () const
virtual bool | ValueChanged ()
virtual void | ResetValueChanged ()
virtual std::string | ValueString ()
virtual void | ValueString (const std::string &s)
virtual long | ValueInt ()
virtual void | ValueInt (long val)
virtual double | ValueFloat ()
virtual void | ValueFloat (double val)
virtual void | CallCallback ()
| Calls callback CallType3 if it has been set.
virtual std::ostream & | WriteValue (std::ostream &outstr)=0
virtual std::istream & | ReadValue (std::istream &instr)=0
virtual std::string | Type () const
virtual bool | operator== (const DistiAttributeBase &r)
template<class valType >
DistiAttributeBase & | operator<< (const valType &val)
template<class valType >
DistiAttributeBase & | operator>> (valType &val)
virtual CallbackID | RegisterObserver (AttributeObserver *observer)
virtual void | UnregisterObserver (CallbackID id)
virtual void | NotifyObservers ()
Public Member Functions inherited from WeakReferenceableMixin
void | AddWeakReference (WeakReference *weakRef) override
void | NotifyWeakReferenceDestroyed (WeakReference *ref) override
virtual void | AddWeakReference (WeakReference *weakRef)=0
virtual void | NotifyWeakReferenceDestroyed (WeakReference *weakReference)=0

## Additional Inherited Members
Public Types inherited from DistiAttributeBase
typedef unsigned int | CallbackID
| Type for unique identifiers.
Public Attributes inherited from DistiAttributeEnumDirect< glsImageCodec >
DistiAttributeEnumDefList * | _pairList
| Observing pointer to the enum string to integer conversion data.
Protected Member Functions inherited from WeakReferenceableMixin
| WeakReferenceableMixin ()
virtual | ~WeakReferenceableMixin ()
Protected Attributes inherited from DistiAttributeEnumDirect< glsImageCodec >
glsImageCodec * | _attribPtr
| Underlying storage for this attribute.
Protected Attributes inherited from DistiAttributeBase
AttributeName | _name
CallbackMethodCallerBase * | _callback
ScopedPtr< DistiAttributeObserverList > | _observerList
bool | _localStorage
Protected Attributes inherited from WeakReferenceableMixin
DynamicArray< WeakReference * > * | _weakRefs

## Detailed Description

Enumeration for an image compresion codec

## Constructor & Destructor Documentation

## ◆ DistiAttributeImageCodecEnum()

DistiAttributeImageCodecEnum | ( | CallbackMethodCallerBase * | callback,
|  | const AttributeName & | name,
|  | glsImageCodec * | attribPtr
| ) |  |

Constructor

Parameters

  callback | The function pointer to call when this property changes.
  name | The name of the property to create.
  attribPtr | A pointer to the underlying property data.

## Member Function Documentation

## ◆ Type()

std::string Type | ( |  | ) | const
| override virtual

This method isn't pure virtual to maintain backward compatibility with existing user code.

Returns
  The unmangled type name of the underlying storage.

Reimplemented from DistiAttributeBase.

The documentation for this class was generated from the following file:

- texture_palette.h